Subject: RE: RFC 3280 and multiple Organization (O) fields in DN

From: "Slone, Skip" <[email-masked]>
Date: Mon, 03 Jan 2005 18:18:15 -0500

FYI, the annex in question is NOT being dropped -- instead, it is being
updated in the upcoming fifth edition to include domainComponent and to
add the following statement, applicable to the whole annex: "This
example is for illustrative purposes only, and is not intended to limit
the types of names that can be validly constructed in the Directory." 

As mentioned below, it was (and remains) an informative annex, but
common mythology has for years treated it as normative and limiting.
According to the myth, names that include domainComponent RDNs are not
valid X.500 names. Obviously, we on the X.500/X.509 committee disagree
with the myth and would like to see it go away.

Hope this helps,

 -- Skip

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Russ Housley
Sent: Monday, January 03, 2005 9:15 AM
To: Jostein Tveit; [email-masked]
Subject: Re: RFC 3280 and multiple Organization (O) fields in DN

It used to be in Annex B of X.521 (the 1988 version).  Obviously I have
not 
tracked this carefully.  I was told that it was dropped due to the 
confusion that is caused.

Russ

At 03:59 AM 1/3/2005, Jostein Tveit wrote:
>Russ Housley <[email-masked]> writes:
>
> > Early versions of the CCITT (wkich is now called ITU-T) included
> > an informative state machine about name construction.  So many
> > people took the state machine as normative that it was dropped
> > from the later versions of the document to avoid confusion.
>
>Do you mean the state machine in Annex B in X.521?
>If so, it is still in the standard.
>
>--
>Jostein Tveit <[email-masked]>